#!/usr/bin/perl
# Auteur : Serge Fleury

use utf8;
binmode STDOUT, ":utf8";

open(FILE, "<:encoding(UTF-8)", "$ARGV[0]");
#--------------------------------------------
# le patron cherché ici est du type NOM ADJ";
# Utilisation : perl extract-patron-treetagger_SF.pl SORTIE-etiquetage-treetagger-xml.xml
#--------------------------------------------
my @lignes=<FILE>;
close(FILE);
while (my $ligne=shift(@lignes)) {
    next $ligne if /^\n/; # à tester
    chomp $ligne;
    my $sequence="";
    my $longueur=0;
    if ( $ligne =~ /<element><data type=\"type\">NOM<\/data><data type=\"lemma\">[^<]+<\/data><data type=\"string\">([^<]+)<\/data><\/element>/) {
		my $forme=$1;
		$sequence.=$forme;
		$longueur=1;

		my $nextligne=$lignes[0];
		if ( $nextligne =~ /<element><data type=\"type\">ADJ<\/data><data type=\"lemma\">[^<]+<\/data><data type=\"string\">([^<]+)<\/data><\/element>/) {
			my $forme=$1;
			$sequence.=" ".$forme;
			$longueur=2;

            # Décommenter si on veut trois arguments
            # my $nextnextligne=$lignes[1];
    		# if ( $nextnextligne =~ /<element><data type=\"type\">NOM<\/data><data type=\"lemma\">[^<]+<\/data><data type=\"string\">([^<]+)<\/data><\/element>/) {
    		# 	my $forme=$1;
    		# 	$sequence.=" ".$forme;
    		# 	$longueur=3;
            # }
		}
    }
    # Modifier la longueur si le patron a 3 arguments
    if ($longueur == 2) {
	print $sequence,"\n";
    }
}
